local modpath = core.get_modpath(core.get_current_modname())

liquid_physics = {}

dofile(modpath .. "/api.lua")

if core.get_modpath("default") then
    liquid_physics.register_liquid("default", "water_source", "water_flowing")
    liquid_physics.register_liquid("default", "lava_source", "lava_flowing")
end

if core.get_modpath("mcl_core") then
    liquid_physics.register_liquid("mcl_core", "water_source", "water_flowing")
    liquid_physics.register_liquid("mcl_core", "lava_source", "lava_flowing")
end

dofile(modpath .. "/physics.lua")
